package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFWorkflow;
import com.sa.ibiz.demo.demo.service.dto.WFWorkflowSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFWorkflow] 服务对象接口
 */
public interface WFWorkflowService extends IService<WFWorkflow>{

	boolean create(WFWorkflow et);
	boolean remove(WFWorkflow et);
	boolean checkKey(WFWorkflow et);
		WFWorkflow get(WFWorkflow et);
	boolean getDraft(WFWorkflow et);
	boolean update(WFWorkflow et);
    List<WFWorkflow> listDefault(WFWorkflowSearchFilter filter) ;
	Page<WFWorkflow> searchDefault(WFWorkflowSearchFilter filter);
	/**	 实体[WFWorkflow] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }